[arch-commits] CVS update of extra/gnome/libgsf-gnome (PKGBUILD libgsf-gnome.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 12:44:10 EDT 2007


    Date: Sunday, April 22, 2007 @ 12:44:10
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/libgsf-gnome

Modified: PKGBUILD (1.13 -> 1.14) libgsf-gnome.install (1.2 -> 1.3)

upgpkg: libgsf-gnome 1.14.3-2
Move to /usr


----------------------+
 PKGBUILD             |   33 +++++++++++++++++----------------
 libgsf-gnome.install |   12 +++++++-----
 2 files changed, 24 insertions(+), 21 deletions(-)


Index: extra/gnome/libgsf-gnome/PKGBUILD
diff -u extra/gnome/libgsf-gnome/PKGBUILD:1.13 extra/gnome/libgsf-gnome/PKGBUILD:1.14
--- extra/gnome/libgsf-gnome/PKGBUILD:1.13	Sat Dec 23 15:39:51 2006
+++ extra/gnome/libgsf-gnome/PKGBUILD	Sun Apr 22 12:44:10 2007
@@ -1,34 +1,35 @@
-# $Id: PKGBUILD,v 1.13 2006/12/23 20:39:51 jgc Exp $
-# Maintainer: arjan <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.14 2007/04/22 16:44:10 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=libgsf-gnome
 pkgver=1.14.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Adds gnome support to libgsf"
 arch=(i686 x86_64)
-depends=('gnome-vfs>=2.16.0' "libgsf>=${pkgver}")
-makedepends=('intltool' 'pkgconfig')
+license=('GPL' 'LGPL')
+depends=('gnome-vfs>=2.18.1' 'libbonobo>=2.18.0-2' "libgsf>=${pkgver}")
+makedepends=('perlxml' 'pkgconfig')
 options=('nolibtool')
 install=libgsf-gnome.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/libgsf/1.14/libgsf-${pkgver}.tar.bz2)
 md5sums=('c707a7ffc3e2bf802556bae86a453020')
 
 build() {
-  [ -z ${GNOMEDIR} ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/libgsf-${pkgver}
-  ./configure --prefix=/opt/gnome --mandir=/usr/man
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var
   pushd gsf-gnome
-  sed -i -e 's|$(top_builddir)/gsf/libgsf-1.la|/usr/lib/libgsf-1.so|g' Makefile
+#  sed -i -e 's|$(top_builddir)/gsf/libgsf-1.la|/usr/lib/libgsf-1.so|g' Makefile
+  sed -i -e 's|$(top_builddir)/gsf/libgsf-1.la|-lgsf-1|g' Makefile
   make || return 1
   make DESTDIR=${startdir}/pkg install
-  install -d -m755 ${startdir}/pkg/opt/gnome/lib/pkgconfig || return 1
-  sed ../libgsf-gnome-1.pc -e 's|Cflags.*|Cflags: -I${includedir}/libgsf-1|' >\
-	${startdir}/pkg/opt/gnome/lib/pkgconfig/libgsf-gnome-1.pc
+  install -d -m755 ${startdir}/pkg/usr/lib/pkgconfig || return 1
+  sed ../libgsf-gnome-1.pc -e 's|^Cflags.*|Cflags: -I${includedir}/libgsf-1|' >\
+	${startdir}/pkg/usr/lib/pkgconfig/libgsf-gnome-1.pc
   popd
   pushd thumbnailer
-  sed -i -e 's|$(top_builddir)/gsf/libgsf-1.la|/usr/lib/libgsf-1.so|g' Makefile
+  sed -i -e 's|$(top_builddir)/gsf/libgsf-1.la|-lgsf-1|g' Makefile
   make || return 1
   make DESTDIR=${startdir}/pkg install
   popd
@@ -36,7 +37,7 @@
   make DESTDIR=${startdir}/pkg install-manpageDATA
   popd
   
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/gnome/libgsf-gnome/libgsf-gnome.install
diff -u extra/gnome/libgsf-gnome/libgsf-gnome.install:1.2 extra/gnome/libgsf-gnome/libgsf-gnome.install:1.3
--- extra/gnome/libgsf-gnome/libgsf-gnome.install:1.2	Sat Jul  1 03:56:29 2006
+++ extra/gnome/libgsf-gnome/libgsf-gnome.install	Sun Apr 22 12:44:10 2007
@@ -1,8 +1,8 @@
 pkgname=libgsf-gnome
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
 }
 
 pre_upgrade() {
@@ -14,14 +14,16 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
   
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 op=$1




More information about the arch-commits mailing list